@echo -off
shell-mode

echo *--------------------------------------*
echo *                                                 
echo * rEFInd Setup Tool              
echo * 
echo *--------------------------------------*

set -v rEFInd fs0:\EFI\BOOT\bootx64.efi
set -v UefiShell fs0:\ShellX64.efi

for %n in 0 1 2 3 4 5 6 7 8 9
  if exist fs%n:\EFI\BOOT\bootx64.efi then
    set -v rEFInd fs%n:\EFI\BOOT\bootx64.efi
    set -v UefiShell fs%n:\ShellX64.efi
    goto FSFOUND
  endif
endfor

echo ERROR FS not found!
set -d rEFInd
set -d UefiShell
goto END

:FSFOUND

echo This will remove all your boot entrys and
echo then add rEFInd and UefiShell. 
pause

for %a in run (0 9)
  bcfg boot rm 0
  if not x%LastError% == x0  then
    goto BCFG
  endif
endfor

:BCFG
if exist %rEFInd% then
  bcfg boot add 0 %rEFInd% "rEFInd"
endif

if exist %UefiShell% then
  bcfg boot add 1 %UefiShell% "Uefi Shell"
endif

bcfg boot dump


set -d rEFInd
set -d UefiShell
exit

:END
echo Something went wrong!
echo 



